Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.actions.iface.tools.support
Class ProcessToolRunner

    java.lang.Object
      com.eviware.soapui.impl.wsdl.actions.iface.tools.support.ProcessToolRunner

All Implemented Interfaces:
  ToolRunner, java.lang.Runnable

    public class ProcessToolRunner

extends java.lang.Object
implements ToolRunner

ToolRunner for running command-line processes

Author:
  ole.matzura

Constructor Summary
`ProcessToolRunner(java.lang.ProcessBuilder[] builders, java.lang.String name, ModelItem modelItem)`
`ProcessToolRunner(java.lang.ProcessBuilder builder, java.lang.String name, ModelItem modelItem)`

Method Summary
`protected void` | `afterProcess(java.lang.Process process2, RunnerContext context)`
`protected void` | `afterRun(int exitCode, RunnerContext context)`
`protected void` | `beforeProcess(java.lang.Process process2, RunnerContext context)`
`protected void` | `beforeRun(RunnerContext context)`
`boolean` | `canCancel()`
`void` | `cancel()`
`java.lang.ProcessBuilder[]` | `getBuilders()`
`java.lang.String` | `getDescription()`
`ModelItem` | `getModelItem()`
`java.lang.String` | `getName()`
`java.lang.Process` | `getProcess()`
`boolean` | `isRunning()`
`void` | `run()`
`void` | `setCanCancel(boolean canCancel)`
`void` | `setContext(RunnerContext context)`
`void` | `setShowLog(boolean showLog)`
`boolean` | `showLog()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessToolRunner

    public ProcessToolRunner(java.lang.ProcessBuilder builder,
                             java.lang.String name,
                             ModelItem modelItem)

### ProcessToolRunner

    public ProcessToolRunner(java.lang.ProcessBuilder[] builders,
                             java.lang.String name,
                             ModelItem modelItem)

Method Detail

### getBuilders

    public java.lang.ProcessBuilder[] getBuilders()

### getProcess

    public java.lang.Process getProcess()

### isRunning

    public boolean isRunning()

  Specified by:
    `isRunning` in interface `ToolRunner`

### cancel

    public void cancel()

  Specified by:
    `cancel` in interface `ToolRunner`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### beforeRun

    protected void beforeRun(RunnerContext context)

### beforeProcess

    protected void beforeProcess(java.lang.Process process2,
                                 RunnerContext context)

### afterProcess

    protected void afterProcess(java.lang.Process process2,
                                RunnerContext context)

### afterRun

    protected void afterRun(int exitCode,
                            RunnerContext context)

### setContext

    public void setContext(RunnerContext context)

  Specified by:
    `setContext` in interface `ToolRunner`

### getModelItem

    public ModelItem getModelItem()

  Specified by:
    `getModelItem` in interface `ToolRunner`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ToolRunner`

### canCancel

    public boolean canCancel()

  Specified by:
    `canCancel` in interface `ToolRunner`

### showLog

    public boolean showLog()

  Specified by:
    `showLog` in interface `ToolRunner`

### setCanCancel

    public void setCanCancel(boolean canCancel)

### setShowLog

    public void setShowLog(boolean showLog)

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `ToolRunner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.